# The program is run on Ubuntu 
FROM ubuntu

# Working directory
WORKDIR /usr/src/

# Copy files
COPY mascot-sds ./mascot-sds/
COPY cudd/ ./cudd/

# Install dependencies 
# Boost c++ library 
RUN apt-get update
RUN apt-get -y upgrade
ENV TZ=Europe/Berlin
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
RUN apt-get -y install libboost-all-dev

# Install make
RUN apt -y install build-essential
RUN apt-get -y install autoconf
RUN apt-get -y install libtool libtool-bin

# Install cudd
WORKDIR /usr/src/cudd
RUN export PATH=${PATH}:/c/MinGW/bin
RUN autoreconf -f -i
RUN ./configure --enable-shared --enable-obj --enable-dddmp --prefix=/opt/local/ 
RUN make
RUN make check
RUN make install
RUN export LD_LIBRARY_PATH="/opt/local/lib"
RUN cp ./util/util.h /opt/local/include/
RUN cp ./config.h /opt/local/include/

# Compile the two examples used in ARCH
WORKDIR /usr/src/
RUN make -C mascot-sds/examples/adhs21/
RUN make -C mascot-sds/examples/hscc20/vanderpol/

# Run the ARCH examples
CMD ["./mascot-sds/run_arch21"]